Subject: Re: linux-next: build failure after merge of the final tree (pwm tree related)

From: Arnd Bergmann <[email-masked]>
Date: Sat, 30 Jun 2012 19:20:21 +0000

On Saturday 30 June 2012, Thierry Reding wrote:
> I hadn't thought about the allyesconfig case yet. Adding a "depends on
> !HAVE_PWM" to the PWM symbol should work and is the easiest fix to this
> kind of problem while other PWM legacy API implementations are ported to
> the PWM subsystem.
> 
> Sascha, Arnd (Cc'ed): what do you think?
> 
> I don't know if I'll get enough time to test this over the weekend but I
> should get to it when I'm back in the office on Monday.
> 
You cannot depend on a symbol in the same place that provides it -- that
would be a recursive dependency (or a paradox).

I think that all the drivers that are not converted to the common PWM
layer yet should depend on not enabling the common code. Once they
are all moved over, that dependency will go away.

	Arnd